%define xmms_inputdir %(xmms-config --input-plugin-dir)

Summary: SIDPlay input plugin for X MultiMedia System (XMMS)
Name: xmms-sid
Version: 0.8.0
Release: 0.3.beta15%{?dist}
URL: http://www.tnsp.org/xmms-sid.php
License: GPL
Group: Applications/Multimedia
Source0: http://www.tnsp.org/xs-files/%{name}-0.8.0beta15.tar.bz2
Source1: http://www.tnsp.org/xs-files/%{name}-0.8.0beta15.tar.bz2.asc
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: xmms-devel libsidplay-devel
BuildRequires: glib-devel gtk+-devel

%description
XMMS-SID is a plugin for XMMS (X MultiMedia System) which provides
support for playing the so-called "SID tunes". For the actual playing,
XMMS-SID uses the excellent libsidplay SID-chip/6502 emulator engine.

If you are not familiar with the term "SID tune" or "SID" concept at
all, a short (yes it is! ;-) explanation follows:

SID is the sound chip that was used in many of the old 8-bit home
computers manufactured by Commodore Inc. in 1980's. Best known of
those was the Commodore 64 home computer (aka C64 or CBM64, also
known as VIC-64 in some countries).

%prep
%setup -q -n %{name}-0.8.0beta15


%build
%configure --libdir=%{xmms_inputdir}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}/%{xmms_inputdir}/*.la


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog FAQ NEWS README THANKS TODO
%{xmms_inputdir}/*.so


%changelog
* Mon Aug 28 2006 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Apr  8 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.8.0-0.2.beta15
- remove explicit dep on "xmms" and rely on soname dep

* Sat Feb 18 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.8.0-0.1.beta15
- upgrade to 0.8.0beta15 which upstream has declared as stable

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.7.4-6
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Nov 10 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.7.4-4
- Fix src/xmms-sid.cc for GCC 3.4/FC3.

* Fri May 02 2003 Panu Matilainen <pmatilai@welho.com> 0:0.7.4-0.fdr.3
- patch to make it honor rpm optflags
- use bz2 source instead of gz

* Mon Apr 28 2003 Panu Matilainen <pmatilai@welho.com> 0:0.7.4-0.fdr.2
- add missing Epoch's

* Mon Mar 24 2003 Panu Matilainen <pmatilai@welho.com>
- Initial Fedora packaging.
